import Request from '../..'

enum Api {
  Dicts = '/workspace/dict/symbol',
  DictsNoAuth = '/workspace/dict/symbol-no-auth',
  PortalConfig = '/workspace/tenant/portal/conf'
}

// 获取字典
export function getDictType(data: { type: string }) {
  return Request.get<API.DictResult>({
    url: Api.Dicts + `/${data.type}`,
    params: data
  })
}

// 获取字典(不需鉴权)
export function getDictTypeNoAuth(data: { type: string }) {
  return Request.get<API.DictResult>({
    url: Api.DictsNoAuth + `/${data.type}`,
    params: data
  })
}

// 下载文件
export function exportFile(apiName: string, data: any) {
  return Request.get({
    url: apiName,
    responseType: 'arraybuffer',
    params: data
  })
}

// 获取门户专属配置
export function getPortalConfig(data: { domain: string }) {
  return Request.get({
    url: Api.PortalConfig,
    params: data
  })
}

// 上传文件
export function uploadFile(uploadUrl: string, headers: { [key: string]: any }, data: any) {
  return Request.post({
    url: uploadUrl,
    data,
    headers
  })
}
